# <img src='./logo.svg' card_color="#FF8600" width="50" style="vertical-align:bottom" style="vertical-align:bottom">Alerts  
  
## Summary  
  
A skill to schedule alarms, timers, and reminders.


## Description  
  
The skill provides functionality to create alarms, timers and reminders, remove them by name, time, or type, and ask for
what is active. You may also silence all alerts and ask for a summary of what was missed if you were away, your device
was off, or you had quiet hours enabled.

Alarms and reminders may be set to recur daily or weekly. An active alert may be snoozed for a specified amount of time
while it is active. Any alerts that are not acknowledged will be added to a list of missed alerts that may be read and
cleared when requested.

Other modules may integrate with the alerts skill by listening for `neon.alert_expired` events. This event will be
emitted when a scheduled alert expires and will include any context associated with the event creation. If the event
was created with `mq` context, the mq connector module will forward the expired alert for the client module to handle
and the alert will be marked `active` until the client module emits a `neon.acknowledge_alert` Message with the `alert_id`
and `missed` data, i.e.:
```
Message("neon.acknowledge_alert", {"alert_id": <alert_id>, "missed": False}, <context>)
```
    
  
## Examples  
  
If you are skipping wake words, say `Neon` followed by any of the following, otherwise say your `Wake Word`:

- "Set an alarm for 8 AM."
- "When is my next alarm?"
- "Cancel my 8 AM alarm."

- "Set a 5 minute timer."
- "How much time is left?"

- "Remind me to go home at 6."
- "Remind me to take out the trash every thursday at 7 PM."
- "What are my reminders?"

- "Cancel all alarms."
- "Cancel all timers."
- "Cancel all reminders."

- "Go to sleep."
- "Start quiet hours."

If there is an active alert (expired and currently speaking or playing), you may snooze or dismiss it:

- "Stop."

- "Snooze."
- "Snooze for 1 minute."
  
If you had quiet hours enabled, your device was off, or you were away and missed an alert, you may ask for a summary:

- "Wake up."
- "What did I miss?"
- "Did I miss anything?"

## Contact Support
Use [this link](https://neongecko.com/ContactUs) or
[submit an issue on GitHub](https://help.github.com/en/articles/creating-an-issue)

## Incompatible Skills
This skill has known intent collisions with the following skills:
- [skill-reminder.mycroftAI](https://github.com/mycroftai/skill-reminder)
- [skill-alarm.mycroftAI](https://github.com/mycroftai/skill-alarm)
- [mycroft-timer.mycroftAI](https://github.com/mycroftai/mycroft-timer)

## Credits
[NeonGeckoCom](https://github.com/NeonGeckoCom)
[NeonDaniel](https://github.com/NeonDaniel)

## Category
**Productivity**
Daily

## Tags
#NeonGecko Original
#NeonAI
#alert
#alarm
#timer
#reminder
#schedule
